@import "../../../assets/scss/global";

.radio-field-wrapper {
    .field-group {
        width: 100%;
        display: flex;
        align-items: flex-start;
        column-gap: 10px;

        @include largeScreen {
            align-items: center;
        }

        label, input {
            cursor: pointer;
            font-size: 14px;
            line-height: 20px;
        }

        span {
            color: $secondary-color;
            font-weight: 500;
        }

        input {
            position: relative;
            flex-shrink: 0;
            -webkit-appearance: none;
            border-radius: 50%;
            outline: none;
            width: 12px;
            height: 12px;
            box-sizing: content-box;
            box-shadow: 0 0 0 1px gray;
            margin-top: 5px;

            @include largeScreen {
                width: 20px;
                height: 20px;
                margin-top: initial;
            }

            &:before {
                position: absolute;
                content: '';
                left: 50%;
                top: 50%;
                transform: translate(-50%, -50%);
                width: 10px;
                height: 10px;
                border-radius: 100%;
                box-sizing: border-box;

                @include largeScreen {
                    width: 16px;
                    height: 16px;
                }
            }

            &:checked:before {
                background: $secondary-color;
            }
        }
    }

    &.error {
        .field-group {
            input {
                box-shadow: 0 0 0 1px #F82626;
            }
        }

        .feedback {
            color: #F82626;
            font-size: 10px;
            line-height: 18px;
            margin-left: 15px;
        }
    }
}